###########################################################################
#
#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
# Program:     dc_convert.awk
#
# Description: Convert RIM output to STDOUT format
#
# Author:      Kevin Norsworthy 5/13/97
#
# Parameters:  none
#
# Invocation:  Invoked from discoverConnections
###########################################################################
# scan current record for pattern match and execute code if matched.
##

$0 ~ / origin :/ {
        printf ("(AMS_DC\"TEC Event\",");
        printf ("2,");
# if no value, return to STDOUT ""
      if ($3=="")
        {
        printf ("\"1=\",");
        }
# if value found, look for an = operator
      else
        {
# if no tuple found declare this the primaryDetail
        if (0==match($3,"=")) { printf ("\"1="); }
# if multiple values, only take the first one
        if (0!=match($3,";"))
          {
            printf ("\"");
            printf ("%s",substr($3,1,(match($3,";")-1)));
          }
          else
          {
            if (0!=match($3,"=")) { printf ("\""); }
            printf ("%s",$3);
          }
        printf ("\",");
        }
      }
$0 ~ / sub_origin :/ {
      if ($3=="")
        { printf ("\"\","); }
# if value found, look for an = operator
      else
       {
# if no tuple found declare this the secondaryDetail
        if (0==match($3,"=")) { printf ("\"2="); }
# if multiple values, only take the first one
        if (0!=match($3,";"))
          {
            printf ("\"");
            printf ("%s",substr($3,1,(match($3,";")-1)));
          }
          else
          {
            if (0!=match($3,"=")) { printf ("\""); }
            printf ("%s",$3);
          }
        printf ("\",");
        }
      }
$0 ~ / source :/ {
      if ($3=="")
        { printf ("\"\","); }
# if value found, look for an = operator
      else
        {
        printf ("\"");
	  for (i=4; i <= NF; i++) {$3=$3 " " $i; }
        printf ("%s",$3);
        printf ("\",");
        }
      }
$0 ~ / sub_source :/ {
      if ($3=="")
        { printf ("\"\","); }
# if value found, look for an = operator
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++) {$3=$3 " " $i; }
        printf ("%s",$3);
        printf ("\")\n");
        }
      }
