###########################################################################
#
#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
# Program:     qv_convert.awk
#
# Description: Convert Querytecvaleus output to STDOUT format
#
# Author:      Kevin Norsworthy 2/21/97
#
# Parameters:  c_hostname and c_origin are passed in on the command line.
#
# Invocation:  Invoked from querytecvalues
###########################################################################
# Initialize hostname to null.  hostname saved and used when origin is null.
BEGIN {
        hostname="";
        c_source="Tivoli;TME 10 Enterprise Console;3.1";
        c_sub_source="Tivoli;Tivoli/Enterprise Console;3.1"
        printf ("(1,\"%s\")\n",c_source);
        printf ("(2,\"%s\")\n",c_sub_source);
        printf ("(3,\"%s\")\n",c_hostname);
        printf ("(4,\"2=%s;",c_hostname);
        printf ("1=%s\")\n",c_origin);
        printf ("(5,\"0=TECID=0;0=TECID=0\")\n");
      }
# scan current record for pattern match and execute code if matched.
$0 ~ / monitor :/ {
# if no value, return -1 error code
      if ($3=="")
        {
        printf ("-1");
        exit -1; }
# if value found, concatenate tokens from $3 to NF and send output to STDOUT
      else
        {
        printf ("(7,\"");
        for (i=4; i <= NF; i++)  {$3=$3 " " $i; }
        printf ("%s",$3);
        printf ("\",");
        }
      }
$0 ~ / count :/ {
# if no value, return a zero count
      if ($3=="")
        {
        printf ("\"0\","); }
# if value found, concatenate tokens from $3 to NF and send output to STDOUT
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++)  {$3=$3 " " $i; }
        printf ("%s",$3);
        printf ("\",");
        }
      }
$0 ~ / source :/ {
# if no value, return to STDOUT ""
      if ($3=="")
        {
        printf ("\"TEC Event\",");
        printf ("2,");
        printf ("\"\","); }
# if value found, concatenate tokens from $3 to NF and send output to STDOUT
      else
        {
        printf ("\"TEC Event\",");
        printf ("2,");
        printf ("\"");
        for (i=4; i <= NF; i++)  {$3=$3 " " $i; }
        printf ("%s",$3);
        printf ("\",");
        }
      }
$0 ~ / sub_source :/ {
      if ($3=="")
        { printf ("\"\","); }
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++)  { $3=$3 " " $i; }
        printf ("%s",$3);
        hostname=$3;
        printf ("\",");
        }
      }
$0 ~ / hostname :/ {
      if ($3=="")
        { printf ("\"\","); }
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++)  { $3=$3 " " $i; }
        printf ("%s",$3);
        hostname=$3
        printf ("\",");
        }
      }
$0 ~ / origin :/ {
      if ($3=="")
        {
        if (hostname!="")
            {
            printf ("\"2=%s\",",hostname);
            hostname="";
            }
        else printf ("\"\",");
        }
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++)  { $3=$3 " " $i; }
        if (0==match($3,"=")) { printf ("1="); }
        printf ("%s",$3);
        printf ("\",");
        }
      }
$0 ~ / sub_origin :/ {
      if ($3=="")
        { printf ("\"\")\n"); }
      else
        {
        printf ("\"");
        for (i=4; i <= NF; i++)  { $3=$3 " " $i; }
        if (0==match($3,"=")) { printf ("1="); }
        printf ("%s",$3);
        printf ("\")\n");
        }
      }
