#
#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
# Paul Liskay 2/13/97
# Remove duplicate rows from WRIMSQL
# input is sorted by using the 'order by' clause in the
# sql query that created the output used as as input to this awk
# output to STDOUT

BEGIN { prev_row = "";
        prev_record = "";
        prev_source = "";
        prev_sub_source = "";
        prev_hostname = "";
        prev_origin = "";
        prev_sub_origin = "";
        count = 0;
        FS =  "\n";
        RS = "\n";
      }
END   {
        if (count != 0)
           {
           printf("%s\n", prev_row);
           printf("    monitor : %s\n", "querytecvalues");
           printf("      count : %d\n", count);
           printf("%s\n", prev_source);
           printf("%s\n", prev_sub_source);
           printf("%s\n", prev_hostname);
           printf("%s\n", prev_origin);
           printf("%s\n", prev_sub_origin);
           }
      }
$0 ~ /SQL/ {
   }

$0 ~ /Row / {
   row = $0;
   }
$0 ~ / source :/ {
   source = $0;
   }
$0 ~ / sub_source :/ {
   sub_source = $0;
   }
$0 ~ / hostname :/ {
   hostname = $0;
   }
$0 ~ / origin :/ {
   origin = $0;
   }
$0 ~ / sub_origin :/ {
   sub_origin = $0;
   this_record = source sub_source hostname origin sub_origin;
   count = count + 1; 
   if (this_record != prev_record && prev_record != "")
      {
      printf("%s\n", prev_row);
      printf("    monitor : %s\n", "querytecvalues");
      printf("      count : %d\n", count);
      printf("%s\n", prev_source);
      printf("%s\n", prev_sub_source);
      printf("%s\n", prev_hostname);
      printf("%s\n", prev_origin);
      printf("%s\n", prev_sub_origin);
      count = 0;
      }
   prev_record = source sub_source hostname origin sub_origin;
   prev_row = row;
   prev_source = source;
   prev_sub_source = sub_source;
   prev_hostname = hostname;
   prev_origin = origin;
   prev_sub_origin = sub_origin;
   }

