//   +-------------------------------------------------------------------+
//   | Licensed Materials - Property of IBM                              |
//   | 5697-B83                                                          |
//   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
//   | All rights reserved.                                              |
//   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
//   |                                                                   |
//   | US Government Users Restricted Rights - Use, duplication or       |
//   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
//   +-------------------------------------------------------------------+
//
//      TEC (COMPONENT) Component Description File
//
Start Component
        Name  = "T/EC"
        Description = "Tivoli Enterprise Console"

        Start Group
                Name = "ComponentID"
                Class = "DMTF|ComponentID|001"
                ID = 1
                Start Attribute
                        Name = "Manufacturer"
                        ID = 1
                        Description = "Manufacturer of this component"
                        Type = String(64)
                        Value = "Tivoli"
                End Attribute
                Start Attribute
                        Name = "Product"
                        ID = 2
                        Description = "Product name for this component"
                        Type = String(64)
                        Value = "Tivoli/Enterprise Console"
                End Attribute
                Start Attribute
                        Name = "Version"
                        ID = 3
                        Description = "Version number of this component."
                        Storage = Specific
                        Type = String(64)
                        Value = "3.1"
                End Attribute
                Start Attribute
                        Name = "Serial Number"
                        ID = 4
                        Description = "Serial number for this component"
                        Storage = Specific
                        Type = String(64)
                        Value = "SR96743082AA"
                End Attribute
                Start Attribute
                        Name = "Installation"
                        ID = 5
                        Description = "The installation date of this component Manufacturer should leave this blank"
                        Storage = Specific
                        Type = Date
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Verify"
                        ID = 6
                        Description = "A code that provides a level of verification that the component is installed and working."
                        Type = Start Enum
                                Name = "Verify_type"
                                0 = "An error occurred; check status code"
                                1 = "This component does not exist"
                                2 = "The verify is not supported"
                                3 = "Reserved"
                                4 = "This component exists, but the functionality is untested"
                                5 = "This component exists, but the functionality is unknown"
                                6 = "This component exists, and is not functioning correctly"
                                7 = "This component exists, and is functioning correctly"
                        End Enum
                        Value = 2
                End Attribute
        End Group

        Start Group
                Name = "Software Component Information"
                Class = "DMTF|Software Component Information|002"
                ID = 2
                Description = "Contains additional identifying information about this software component"
                Start Attribute
                        Name = "Major Version"
                        ID = 1
                        Description = "Major version of this software component"
                        Type = String(32)
                        Value = "3"
                End Attribute
                Start Attribute
                        Name = "Minor Version"
                        ID = 2
                        Description = "Minor version of this software component"
                        Type = String(32)
                        Value = "1"
                End Attribute
                Start Attribute
                        Name = "Revision"
                        ID = 3
                        Description = "Revision of this software component"
                        Type = String(32)
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Build"
                        ID = 4
                        Description = "Manufacturer's internal identifier for this compilation."
                        Storage = Specific
                        Type = String(32)
                        Value = "063095"
                End Attribute
                Start Attribute
                        Name = "Target Operating System"
                        ID = 5
                        Description = "The operating system for which this software component is intended"
                        Type = Start Enum
                                0 = "Other"
                                1 = "DOS"
                                2 = "MACOS"
                                3 = "OS2"
                                4 = "UNIX"
                                5 = "WIN16"
                                6 = "WIN32"
                                7 = "OPENVMS"
                        End Enum
                        Value = 0
                End Attribute
                Start Attribute
                        Name = "Language Edition"
                        ID = 6
                        Description = "This identifies the language edition of this component"
                        Type = String(32)
                        Value = "en"
                End Attribute
                Start Attribute
                        Name = "Identification Code"
                        ID = 7
                        Description = "Stock Keeping Unit (SKU) or Part Number"
                        Type = String(32)
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Installable State"
                        ID = 8
                        Type = Start Enum
                                1 = "Unknown"
                                2 = "Installable"
                                3 = "Not Installable"
                        End Enum
                        Value = 1
                End Attribute
                Start Attribute
                        Name = "Executable State"
                        ID = 9
                        Type = Start Enum
                                1 = "Unknown"
                                2 = "Executable"
                                3 = "Not Executable"
                        End Enum
                        Value = 1
                End Attribute
        End Group

        Start Group
                Name = "Component Type"
                Class = "AMS|ComponentType|001"
                Description = "This group provides information required to identify the "
                              "application management building block represented "
                              "by a particular application description file."
                ID = 90
                Start Attribute
                        Name = "Component Type"
                        ID = 1
                        Type = Start Enum
                                0 = "Other"
                                1 = "Business System Mapping"
                                2 = "Business System Component"
                                3 = "Business Subsystem"
                                4 = "Business System"
                                5 = "Reserved For Future Use"
                                6 = "Sofware Component"
                                7 = "Application or Suite"
                                8 = "Maintenance"
                        End Enum
                        Value = 6
                End Attribute
                Start Attribute
                        Name = "Component Type String"
                        ID = 2
                        Type = String(64)
                        Value = ""
                End Attribute
        End Group

        Start Group
                Name = "Application Management Specification Level"
                Class = "AMS|ApplicationManagementSpecificationLevel|001"
                Description = "This group identifies the level or version of the AMS "
                              "being used to construct a particular building block."
                ID = 401
                Start Attribute
                        Name = "AMS Level"
                        ID = 1
                        Type = Start Enum
                                1 = "AMS 1.0"
                                2 = "AMS 1.1"
                                3 = "AMS 2.0"
                        End Enum
                        Value = 3
                End Attribute
        End Group

        Start Group
                Name = "Software Signature"
                Class = "DMTF|Software Signature|001"
                Description = "The Software Signature Group contains information that can be used to detect this software component"
                Key = 1
                Start Attribute
                        Name = "File Name"
                        ID = 1
                        Description = "The name of a file that can be examined to detect this software component"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "File Size"
                        ID = 2
                        Description = "The size in bytes of a file that can be examined to detect this software component."
                        Storage = Specific
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "File Date and Time"
                        ID = 3
                        Description = "The date and time of the file"
                        Storage = Specific
                        Type = Date
                End Attribute
                Start Attribute
                        Name = "File Checksum"
                        ID = 4
                        Description = "Checksum for the first 32 bytes of the file"
                        Storage = Specific
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "File CRC 1"
                        ID = 5
                        Description = "The 16-bit CRC (ITU-T) on the middle 512K of this file"
                        Storage = Specific
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "File CRC 2"
                        ID = 6
                        Description = "The 16-bit CRC (ITU-T) on the middle 512K of this file, modulo 3"
                        Storage = Specific
                        Type = Integer
                End Attribute
        End Group

        Start Group
                Name = "Distributed Component Information"
                Class = "AMS|DistComponent|002"
                ID = 101
                Description = "Identifying information for a distributed software component"
                Start Attribute
                        Name = "Component Function"
                        ID = 1
                        Description = "Function of this component within the application"
                        Storage = Common
                        Type = String(64)
                        Value = "server"
                End Attribute
                Start Attribute
                        Name = "Operating System Identification"
                        ID = 6
                        Description = "String uniquely identifying a specific operating system name and major version"
                        Type = String(64)
                        Value = "unknown"
                End Attribute
                Start Attribute
                        Name = "Is Server"
                        ID = 7
                        Description = "Whether this component is a server for some other application component(s)"
                        Type = Start Enum
                                0 = "No"
                                1 = "Yes"
                        End Enum
                        Value = 0
                End Attribute
        End Group

        Start Group
                Name = "Location"
                Class = "DMTF|Location|001"
                Description = "Identifies the various locations where parts of a software component are installed"
                Key = 1
                Start Attribute
                        Name = "Index"
                        ID = 1
                        Description = "table index of this location entity"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Type"
                        ID = 2
                        Description = "The type of this location"
                        Type = Start Enum
                                1 = "Unknown"
                                2 = "Other"
                                3 = "Product base directory"
                                4 = "Product executables directory"
                                5 = "Product library directory"
                                6 = "Product configuration directory"
                                7 = "Product include directory"
                                8 = "Product working directory"
                                9 = "Product log directory"
                                10 = "Shared base directory"
                                11 = "Shared executables directory"
                                12 = "Shared library directory"
                                13 = "Shared include directory"
                                14 = "System base directory"
                                15 = "System executables directory"
                                16 = "System library directory"
                                17 = "System configuration directory"
                                18 = "System include directory"
                                19 = "System log directory"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Path"
                        ID = 3
                        Description = "The actual path of this location"
                        Type = String(256)
                End Attribute
        End Group

        Start Table
                Name = "Location"
                Class = "DMTF|Location|001"
                ID = 103
                { 1, 3, "/usr/local/Tivoli"}
                { 2, 4, "/usr/local/Tivoli/bin"}
                { 3, 5, "/usr/local/Tivoli/lib"}
                { 4, 6, "/usr/local/Tivoli/bin"}
                { 5, 7, "/usr/local/Tivoli/include"}
                { 6, 9, "/usr/local/Tivoli/serverDB"}
        End Table

        Start Group
                Name = "Software Source Location"
                Class = "AMS|SourceLocation|001"
                Description = "Identifies the various locations where component software resides on before distribution"
                Key = 1
                Start Attribute
                        Name = "Index"
                        ID = 1
                        Description = "table index of this location entity"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Type"
                        ID = 2
                        Description = "The type of this location"
                        Type = Start Enum
                                1 = "Unknown"
                                2 = "Other"
                                3 = "Product base directory"
                                4 = "Product executables directory"
                                5 = "Product library directory"
                                6 = "Product configuration directory"
                                7 = "Product include directory"
                                8 = "Product working directory"
                                9 = "Product log directory"
                                10 = "Shared base directory"
                                11 = "Shared executables directory"
                                12 = "Shared library directory"
                                13 = "Shared include directory"
                                14 = "System base directory"
                                15 = "System executables directory"
                                16 = "System library directory"
                                17 = "System configuration directory"
                                18 = "System include directory"
                                19 = "System log directory"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Path"
                        ID = 3
                        Description = "The actual path of this location"
                        Type = String(256)
                End Attribute
        End Group

        Start Table
                Name = "Software Source Location"
                Class = "AMS|SourceLocation|001"
                ID = 102
                { 1, 3, ""}
                { 2, 4, ""}
                { 3, 5, ""}
                { 4, 6, ""}
                { 5, 7, ""}
                { 6, 9, ""}
                { 7, 2, "/etc/Tivoli/tecad/bin"}
        End Table

        Start Group
                Name = "Connection Type"
                Class = "AMS|ConnectionType|001"
                Description = "This group provides a way to identify connection types."
                Key = 1,2
                //
                Start Attribute
                        Name = "Type Name"
                        ID = 1
                        Description = "Connection Type"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Direction"
                        ID = 2
                        Description = "Connection Direction"
                        Type = Start Enum
                                1 = "origin"
                                2 = "destination"
                                3 = "conversational"
                        End Enum
                End Attribute
                //
                Start Attribute
                        Name = "Query Contact Task"
                        ID = 3
                        Description = "Reference to the task that queries contact information"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Discover Connection Task"
                        ID = 4
                        Description = "Reference to the task that discovers connections"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Select Connection Task"
                        ID = 5
                        Description = "Reference to an add task that accepts a list of contact details"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Add Connection Task"
                        ID = 6
                        Description = "Reference to a task that adds a connection for a specified contact"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Remove Connection Task"
                        ID = 7
                        Description = "Reference to the task that removes connections"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Help File Name"              // optional
                        ID = 8
                        Description = "File name or path to the help file"
                        Type = String (256)
                End Attribute
                //
                Start Attribute
                        Name = "Help File Location"             // optional
                        ID = 9
                        Description = "Location Index"
                        Type = Integer
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format"
                        ID = 10
                        Description = "The format used in the help file"
                        Type = Start Enum
                                0 = "other"
                                1 = "HTML"
                        End Enum
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format String"         // optional
                        ID = 11
                        Description = "Used when Help File Format is other"
                        Type = String(32)
                End Attribute
        End Group

        Start Table
                Name = "Connection Type"
                Class = "AMS|ConnectionType|001"
                ID = 99
                {"TEC Event", 1, "", "Discover_Connections", "", "", "", "tec.html#TECevent", 0, 1, ""}
                {"TEC Event", 2, "", "Discover_Connections", "", "", "", "tec.html#TECevent", 0, 1, ""}
        End Table

        Start Group
                Name = "Distribution File List"
                Class = "AMS|DistributionFileList|001"
                Description = "List of files that make up this application component"
                Key = 1, 2
                Start Attribute
                        Name = "File Name"
                        ID = 1
                        Description = "File name (or full path) for this file on distribution server"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Target Location"
                        ID = 2
                        Description = "Location index where this file is installed on target system"
                        Storage = Common
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Source Relative Location"
                        ID = 3
                        Description = "Location index to find source file on the distribution server, if File Name is relative"
                        Storage = Common
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Target Location Fixed"
                        ID = 4
                        Description = "Whether the Target Location is fixed and cannot be changed"
                        Storage = Common
                        Type = Start Enum
                                0 = "False"
                                1 = "True"
                        End Enum
                End Attribute
        End Group

        Start Group
                Name = "Distributed Installation"
                Class = "AMS|DistInstall|001"
                Description = "Installation Programs for this component"
                Key = 1
                Start Attribute
                        Name = "Program Name"
                        ID = 1
                        Description = "File name (or path) of this program on the distribution server"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Purpose"
                        ID = 2
                        Description = "This attribute denotes when in the installation process that program should be executed"
                        Storage = Common
                        Type = Start Enum
                                Name = "Install Program Type"
                                0 = "Before Install"
                                1 = "After Install"
                                2 = "Commit"
                                3 = "Before Remove"
                                4 = "After Remove"
                                5 = "On Error"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Input File"
                        ID = 3
                        Description = "File name (or path) on distribution server of file to be passed as input to the Program"
                        Type = String(256)
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Location"
                        ID = 4
                        Description = "Location index of source directory for program and optional input file"
                        Type = Integer
                End Attribute
        End Group

        Start Group
                Name = "Distribution Ordering"
                Class = "AMS|DistributionOrder|001"
                Description = "Lists other components that should be distributed before or after this component"
                Key = 1, 2
                Start Attribute
                        Name = "Component Function Name"
                        ID = 1
                        Description = "Identifies another component(s) within this application"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Precedence"
                        ID = 2
                        Description = "Whether the component(s) should be distributed before or after this component"
                        Type = Start Enum
                                1 = "Before"
                                2 = "After"
                        End Enum
                End Attribute
        End Group

        Start Group
                Name = "Generic Dependency Type"
                Class = "AMS|GenDepType|001"
                Description = "Generic dependencies of this application component"
                Key = 1
                Start Attribute
                        Name = "Name"
                        ID = 1
                        Description = "Name for this dependency type"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "File Name"
                        ID = 2
                        Description = "File name (or full path) of dependency script"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Location"
                        ID = 3
                        Description = "Location index of source directory for dependency script"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Description"
                        ID = 4
                        Description = "A textual description of this dependency type"
                        Type = String(1024)
                End Attribute
        End Group

        Start Group
                Name = "Generic Dependency Arguments"
                Class = "AMS|GenDepArg|001"
                Description = "Argument declarations for generic dependencies"
                Key = 1, 2
                Start Attribute
                        Name = "Type Name"
                        ID = 1
                        Description = "Which dependency type script this argument is for"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Argument Position"
                        ID = 2
                        Description = "Position of this argument on the script command line"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Label"
                        ID = 3
                        Description = "Text describing the purpose of this argument"
                        Type = String(256)
                End Attribute
        End Group

        Start Group
                Name = "Generic Dependency Instance"
                Class = "AMS|GenDepInst|001"
                Description = "Lists dependencies for this component"
                Key = 1, 2
                Start Attribute
                        Name = "Type Name"
                        ID = 1
                        Description = "The type of dependency"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Argument Value List"
                        ID = 2
                        Description = "List of argument strings"
                        Type = String(1024)
                End Attribute
        End Group

        Start Table
                Name = "Generic Dependency Instance"
                Class = "AMS|GenDepInst|001"
                ID = 104
                { "Required disk space", "`/usr/local`96`"}
                { "OS version", "`AIX`3`2`5`"}
                { "OS version", "`UNIX`4`0`0`"}
        End Table

        Start Group
                Name = "Synchronous Monitor"
                Class = "AMS|SynchMonitor|002"
                Description = "Specifies an entity in this component that can be monitored"
                Key = 1
                Start Attribute
                        Name = "Name"
                        ID = 1
                        Description = "A name for this monitor"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Value Type"
                        ID = 2
                        Description = "The type of data returned by this monitor"
                        Storage = Common
                        Type = Start Enum
                                Name = "Value Data Type"
                                0 = "Integer"
                                1 = "String"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Value Description"
                        ID = 3
                        Description = "Describes the information returned by this monitor"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Suggested Polling Interval"
                        ID = 4
                        Description = "Recommended interval between polls to this monitor"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Program Name"
                        ID = 5
                        Description = "File name (or full path) of program that returns the monitor value"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Description"
                        ID = 6
                        Description = "A textual description of this monitor"
                        Type = String(1024)
                End Attribute
                Start Attribute
                        Name = "Location"
                        ID = 7
                        Description = "Location index of monitor program on target systems"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Event Classification"
                        ID = 8
                        Description = "The name of the event type to generate if the monitor value exceeds assigned thresholds"
                        Type = String(256)
                        Value = ""
                End Attribute
                //
                Start Attribute
                        Name = "Help File Name"              // optional
                        ID = 9
                        Description = "File name or path to the help file"
                        Type = String (256)
                End Attribute
                //
                Start Attribute
                        Name = "Help File Location"             // optional
                        ID = 10
                        Description = "Location Index"
                        Type = Integer
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format"
                        ID = 11
                        Description = "The format used in the help file"
                        Type = Start Enum
                                0 = "other"
                                1 = "HTML"
                        End Enum
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format String"         // optional
                        ID = 12
                        Description = "Used when Help File Format is other"
                        Type = String(32)
                End Attribute
        End Group

        Start Table
         Name = "Synchronous Monitor"
         Class = "AMS|SynchMonitor|002"
         ID = 106
         { "TEC Server Status",           1, "either \"up\" or \"down\"",   3600, "TECServerStatus",       "This monitor returns the status of the TEC server is Up/Down",                    0, "", "tec.html#TECserverstatus",        0, 1, ""}
         { "TEC DataBase Status",         1, "either \"up\" or \"down\"",   3600, "TECDataBaseStatus",     "This monitor reports the status of the TEC DataBase",                             0, "", "tec.html#TECdatabasestatus",      0, 1, ""}
         { "Heartbeat",                   0, "Events",                       600, "Heartbeat",             "This monitor generates an APM Heartbeat event for the TEC server",                0, "", "tec.html#TECheartbeat",           0, 1, ""}
         { "Events Received Rate",        0, "Events",                       300, "EventsReceivedRate",    "This monitor returns an event if number of events per hour threshold is reached", 0, "", "tec.html#TECeventsreceivedhour",  0, 1, ""}
         { "Events Sent Rate",            0, "Events",                       300, "EventsSentRate",        "This monitor returns an event if number of events per hour threshold is reached", 0, "", "tec.html#TECeventssenthour",      0, 1, ""}
         { "TEC Connection Change",       0, "Events",                       300, "TECConnectionChange",   "This monitor returns an event for each new connection to TEC",                    0, "", "tec.html#TECConnectionChange",    0, 1, ""}
         { "TEC Device Space Free (MB)",  0, "MegaBytes",                   3600, "TECDeviceSpaceFreeMB",  "This monitor returns the number of MegaBytes free in the TEC Device Space",       0, "", "tec.html#TECdeviceSpacefreemb",   0, 1, ""}
         { "TEC Device Space Free (pct)", 0, "Percent",                     3600, "TECDeviceSpaceFreepct", "This monitor returns the percentage of disk space free in the TEC Device Space",  0, "", "tec.html#TECdeviceSpacefreepct",  0, 1, ""}
         { "TEC Device Space Used (MB)",  0, "MegaBytes",                   3600, "TECDeviceSpaceUsedMB",  "This monitor returns the number of MegaBytes used in the TEC Device Space",       0, "", "tec.html#TECdeviceSpaceusedmb",   0, 1, ""}
         { "TEC Device Space Used (pct)", 0, "Percent",                     3600, "TECDeviceSpaceUsedpct", "This monitor returns the percentage of disk space used in the TEC Device Space",  0, "", "tec.html#TECdeviceSpaceusedpct",  0, 1, ""}
        End Table

        Start Group
                Name = "Synchronous Monitor Arguments"
                Class = "AMS|SynchMonitorArg|001"
                Description = "argument declarations for synchronous monitor programs"
                Key = 1, 2
                Start Attribute
                        Name = "Monitor Name"
                        ID = 1
                        Description = "Which monitor program this argument is for"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Argument Position"
                        ID = 2
                        Description = "Position of this argument on the program command line"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Label"
                        ID = 3
                        Description = "Text describing the purpose of this argument"
                        Type = String(256)
                End Attribute
        End Group

        Start Group
                Name = "Synchronous Monitor Instance"
                Class = "AMS|SynchMonitorInstance|001"
                Description = "Provides parameterization for a specific instance of a synchronous monitor"
                Key = 1
                Start Attribute
                        Name = "Index"
                        ID = 1
                        Description = "A unique identifier for this instance"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Monitor Name"
                        ID = 2
                        Description = "the monitor type name"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Argument Value List"
                        ID = 3
                        Description = "List of argument strings for the monitor program"
                        Type = String(1024)
                End Attribute
        End Group

        Start Table
                Name = "Synchronous Monitor Instance"
                Class = "AMS|SynchMonitorInstance|001"
                ID = 163
                { 1, "TEC Server Status",           ""}
                { 2, "TEC DataBase Status",         ""}
                { 3, "Heartbeat",                   ""}
                { 4, "Events Received Rate",        ""}
                { 5, "Events Sent Rate",            ""}
                { 6, "TEC Connection Change",       ""}
                { 7, "TEC Device Space Used (MB)",  ""}
                { 8, "TEC Device Space Used (pct)", ""}
                { 9, "TEC Device Space Free (MB)",  ""}
                {10, "TEC Device Space Free (pct)", ""}
        End Table


        //
        //        Relationship Monitor Instance Mapping Group
        //

        Start Group
                Name = "Relationship Monitor Instance Mapping"
                Class = "AMS|RelMonitorInstanceMapping|001"
                Description = "Allows the provider to identify a monitor instance that watches a"
                                "particular connection type"
                Key = 1,2,3
                //
                Start Attribute
                        Name = "Connection Type"
                        ID = 1
                        Description = "Name specified in the connection type group"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Direction"
                        ID = 2
                        Description = "Connection Type direction"
                        Type = Start Enum
                                1 = "origin"
                                2 = "destination"
                                3 = "conversational"
                        End Enum
                End Attribute
                //
                Start Attribute
                        Name = "Monitor Index"
                        ID = 3
                        Description = "Index of the monitor"
                        Type = Integer
                End Attribute
                //
        End Group
        //
        // Table of values for Relationship Monitor Instance Mapping group
        //
        Start Table
                Name = "Relationship Monitor Instance Mapping"
                Class = "AMS|RelMonitorInstanceMapping|001"
                ID = 1060
                {"TEC Event", 1, 4}
                {"TEC Event", 2, 4}
        End Table
        Start Group
                Name = "Monitor Threshold"
                Class = "AMS|SynchMonitorThreshold|001"
                Description = "Specifies a threshold and associated response for a synchronous monitor instance"
                Key = 1, 2, 3
                Start Attribute
                        Name = "Instance Index"
                        ID = 1
                        Description = "Index identifying the monitor instance"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Threshold Value"
                        ID = 2
                        Description = "Threshold value to check against"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Threshold Relative Operator"
                        ID = 3
                        Description = "Defines how the monitor value should be compared to the threshold"
                        Type = Start Enum
                                Name = "Relative Operator"
                                0 = "greater than"
                                1 = "greater than or equal"
                                2 = "less than"
                                3 = "less than or equal"
                                4 = "equal"
                                5 = "not equal"
                                6 = "changes to"
                                7 = "changes from"
                                8 = "crosses above"
                                9 = "crosses below"
                                10 = "matches"
                                11 = "does not match"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Severity"
                        ID = 4
                        Description = "Severity associated with this threshold"
                        Type = Start Enum
                                0 = "Normal"
                                1 = "Harmless"
                                2 = "Warning"
                                3 = "Severe"
                                4 = "Critical"
                                5 = "Fatal"
                        End Enum
                End Attribute
                Start Attribute
                        Name = "Response Task"
                        ID = 5
                        Description = "Name of Task to execute if the threshold condition is met"
                        Type = String(64)
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Response Task Argument List"
                        ID = 6
                        Description = "List of argument strings to be passed to the response task"
                        Type = String(1024)
                        Value = ""
                End Attribute
                Start Attribute
                        Name = "Generate Event"
                        ID = 8
                        Description = "Whether to generate an event when this threshold condition is met"
                        Type = Start Enum
                                0 = "No"
                                1 = "Yes"
                        End Enum
                        Value = 0
                End Attribute
        End Group

        Start Group
                Name = "Runtime Log File"
                Class = "AMS|RuntimeLogFile|001"
                Key = 1, 2
                Start Attribute
                        Name = "Log File Name"
                        ID = 1
                        Description = "Name of this log file"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Location"
                        ID = 2
                        Description = "location index of this log file"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Description"
                        ID = 3
                        Description = "Description of this log file"
                        Type = String(1024)
                End Attribute
        End Group

        Start Group
                Name = "Log File Message Format"
                Class = "AMS|LogFileMsgFmt|001"
                Description = "Specifies the format and event mapping of a log file message"
                Key = 1, 2, 3
                Start Attribute
                        Name = "Log File Name"
                        ID = 1
                        Description = "Log File Name"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Log File Location"
                        ID = 2
                        Description = "Location index of log file"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Format String"
                        ID = 3
                        Description = "Format description of the message"
                        Type = String(1024)
                End Attribute
                Start Attribute
                        Name = "Event Class"
                        ID = 4
                        Description = "Event type to generate in response to this message"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Event Attribute Mapping"
                        ID = 5
                        Description = "Describes the mapping of message variables to event attributes"
                        Type = String(1024)
                End Attribute
        End Group

        Start Group
                Name = "Operational Task"
                Class = "AMS|OpTask|002"
                Description = "Specifies a task that can be used to control this component"
                Key = 1
                Start Attribute
                        Name = "Name"
                        ID = 1
                        Description = "name for this task"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Description"
                        ID = 2
                        Description = "description of what this task does"
                        Type = String(1024)
                End Attribute
                Start Attribute
                        Name = "File Name"
                        ID = 3
                        Description = "filename (or full pathname) of the task executable on the source system"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "Location"
                        ID = 4
                        Description = "Location index to the directory on the source system where File Name exists"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Privilege"
                        ID = 5
                        Description = "User name under which the task must execute"
                        Type = String(128)
                        Value = ""
                End Attribute
                //
                Start Attribute
                        Name = "Help File Name"              // optional
                        ID = 6
                        Description = "File name or path to the help file"
                        Type = String (256)
                End Attribute
                //
                Start Attribute
                        Name = "Help File Location"             // optional
                        ID = 7
                        Description = "Location Index"
                        Type = Integer
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format"
                        ID = 8
                        Description = "The format used in the help file"
                        Type = Start Enum
                                0 = "other"
                                1 = "HTML"
                        End Enum
                End Attribute
                //
                Start Attribute
                        Name = "Help File Format String"         // optional
                        ID = 9
                        Description = "Used when Help File Format is other"
                        Type = String(32)
                End Attribute
                //
                Start Attribute                                 // optional
                        Name = "Execution Environment"
                        ID = 10
                        Description = "Identifies the execution environment for the file specified"
                        Type = Start Enum
                                0 = "other"
                                1 = "native command line"
                                2 = "JAVA"
                                3 = "BMC"
                                4 = "Netview CMD"
                        End Enum
                End Attribute
        End Group

        Start Table
                Name = "Operational Task"
                Class = "AMS|OpTask|002"
                ID = 105
                { "Discover_Connections",             "discover the components connected to the TEC server",               "discoverConnections",       7, "", "", 0, 1, "", 1}
                { "Query_Contact",                    "returns the information another component needs to connect to TEC", "queryContactInformation",   7, "", "", 0, 1, "", 1}
                { "Query_Interval",                   "gets the interval value for a monitor",                             "getMonitorPulse.pl",        7, "", "", 0, 1, "", 1}
                { "Query Reporting Mode",             "querys the Reporting Mode (all/tec)",                               "tec_queryReportMode",       7, "", "tec.html#TECqueryReport", 0, 1, "", 1}
                { "Query_Rel_Threshold",              "gets the last relationship thresholds",                             "getLastRelThreshold.sh",    7, "", "", 0, 1, "", 1}
                { "Query TEC State",                  "querys TEC state",                                                  "querystate",                7, "", "tec.html#TECquery",       0, 1, "", 1}
                { "Query_TEC_Values",                 "querys connections count",                                          "querytecvalues",            7, "", "", 0, 1, "", 1}
                { "Query_Threshold",                  "gets the last threshold value for a monitor",                       "getLastThreshold.sh",       7, "", "tec.html#TECquerythresh", 0, 1, "", 1}
                { "Report All Connections",           "sets Reporting Mode to All",                                        "tec_setReportModeAll",      7, "", "tec.html#TECsetModeAll",  0, 1, "", 1}
                { "Report Only TEC-TEC Connections",  "sets Reporting Mode to TEC-TEC",                                    "tec_setReportModeTEC",      7, "", "tec.html#TECsetModeTEC",  0, 1, "", 1}
                { "Set_Polling_Interval",             "sets the polling interval for TEC Monitors",                        "setpoll",                   7, "", "tec.html#TECpoll",        0, 1, "", 1}
                { "Set_TEC_Pulse",                    "sets TEC heartbeat interval",                                       "setpulse",                  7, "", "tec.html#TECpulse",       0, 1, "", 1}
                { "Set_TEC_Rel_Threshold",            "sets TEC relationship threshold",                                   "setrelthreshold",           7, "", "tec.html#TECrelthresh",   0, 1, "", 1}
                { "Set_TEC_Threshold",                "sets TEC threshold",                                                "setthreshold",              7, "", "tec.html#TECthreshold",   0, 1, "", 1}
                { "Start TEC Event Server",           "starts the TEC Event Server",                                       "startcomponent",            7, "", "tec.html#TECstart",       0, 1, "", 1}
                { "Stop TEC Event Server",            "stops the TEC Event Server",                                        "stopcomponent",             7, "", "tec.html#TECstop",        0, 1, "", 1}
                { "TEC_Clear_Closed_Events",          "clears closed events from the TEC event log",                       "tec_clearClosedEvents",     7, "", "tec.html#TECclearclose",  0, 1, "", 1}
                { "TEC Clear Reception Log",          "clears the TEC reception log",                                      "tec_clearReceptionLog",     7, "", "tec.html#TECclearrecpt",  0, 1, "", 1}
                { "TEC Clear Trigger Table",          "clears the TEC trigger table",                                      "tec_clearTriggerTable",     7, "", "tec.html#TECcleartrig",   0, 1, "", 1}
                { "TEC Create Trigger",               "creates trigger for tec_t_gem_threshold",                           "tec_createTrigger",         7, "", "tec.html#TECcreatetrig",  0, 1, "", 1}
                { "TEC DataBase Status",              "reports the status of the TEC DataBase",                            "tec_DataBaseStatus",        7, "", "tec.html#TECdatabase",    0, 1, "", 1}
                { "TEC Device Space Free (MB)",       "returns the number of MegaBytes used in the TEC Device Space",      "tec_DeviceSpaceFree",       7, "", "tec.html#TECdevfree",     0, 1, "", 1}
                { "TEC Device Space Free (pct)",      "returns the percentage of disk space free in the TEC Device Space", "tec_DeviceSpaceFreepct",    7, "", "tec.html#TECdevfreepct",  0, 1, "", 1}
                { "TEC Device Space Used (MB)",       "returns the number of MegaBytes free in the TEC Device Space",      "tec_DeviceSpaceUsed",       7, "", "tec.html#TECdevused",     0, 1, "", 1}
                { "TEC Device Space Used (pct)",      "returns the percentage of disk space used in the TEC Device Space", "tec_DeviceSpaceUsedpct",    7, "", "tec.html#TECdevusedpct",  0, 1, "", 1}
                { "TEC Server Status",                "returns the status of the TEC server viz Up/Down",                  "tec_ServerStatus",          7, "", "tec.html#TECserver",      0, 1, "", 1}
        End Table

        Start Group
                Name = "Operational Task Arguments"
                Class = "AMS|OpTaskArg|002"
                Description = "argument declarations for task executables"
                Key = 1, 2
                Start Attribute
                        Name = "Task Name"
                        ID = 1
                        Description = "Which task this argument is for"
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Argument Position"
                        ID = 2
                        Description = "Position of this argument on the program command line"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "Label"
                        ID = 3
                        Description = "Text describing the purpose of this argument"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "AMS Symbolic Name"
                        ID = 4
                        Description = "The name of the AMS construct that can be a legal value."
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Tool Specific Symbolic Name"
                        ID = 5
                        Description = "A symbolic name understood by the management tool."
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Tool Name"
                        ID = 6
                        Description = "Management tool"
                        Type = String(256)
                End Attribute
        End Group

        //
        // TEC Opertional Task Arguments Group Table
        //
        Start Table
                Name = "Operational Task Arguments"
                Class = "AMS|OpTaskArg|002"
                ID = 66
                {"Discover_Connections",     1, "primary software component handle", "", "%HB_PRIMARY%", "Tivoli,GEM/APM,1.0"}
                {"Discover_Connections",     2, "secondary software component handle", "", "%HB_SECONDARY%", "Tivoli,GEM/APM,1.0"}
                {"Discover_Connections",     3, "", "", "%REL_CLASS%", "Tivoli,GEM/APM,1.0"}
                {"Discover_Connections",     4, "", "", "%REL_DIRECTION%", "Tivoli,GEM/APM,1.0"}
                {"Query_Contact",            1, "primary software component handle", "", "%HB_PRIMARY%", "Tivoli,GEM/APM,1.0"}
                {"Query_Contact",            2, "secondary software component handle", "", "%HB_SECONDARY%", "Tivoli,GEM/APM,1.0"}
                {"Query_Contact",            3, "", "", "%REL_CLASS%",      "Tivoli,GEM/APM,1.0"}
                {"Query_Contact",            4, "", "", "%REL_DIRECTION%",  "Tivoli,GEM/APM,1.0"}
                {"Query_Interval",           1, "", "", "%HB_SUB_ORIGIN%",  "Tivoli,GEM/APM,1.0"}
                {"Query_Interval",           2, "", "", "%MONITOR%",        "Tivoli,GEM/APM,1.0"}
                {"Query_TEC_Values",         1, "", "", "%HB_SUB_ORIGIN%", "Tivoli,GEM/APM,1.0"}
                {"Query_TEC_Values",         2, "", "", "%REL_CLASS%",     "Tivoli,GEM/APM,1.0"}
                {"Query_TEC_Values",         3, "", "", "%REL_DIRECTION%", "Tivoli,GEM/APM,1.0"}
                {"Query_Threshold",          1, "", "", "%HB_SUB_ORIGIN%",  "Tivoli,GEM/APM,1.0"}
                {"Query_Threshold",          2, "", "", "%MONITOR%",        "Tivoli,GEM/APM,1.0"}
                {"Set_Polling_Interval",     1, "", "", "%HB_SUB_ORIGIN%", "Tivoli,GEM/APM,1.0"}
                {"Set_Polling_Interval",     2, "", "", "%MONITOR%",       "Tivoli,GEM/APM,1.0"}
                {"Set_Polling_Interval",     3, "pulse interval in minutes", "", "", ""}
                {"Set_TEC_Pulse",            1, "heartbeat pulse interval in minutes", "", "", ""}
                {"Set_TEC_Threshold",        1, "", "", "%HB_SUB_ORIGIN%", "Tivoli,GEM/APM,1.0"}
                {"Set_TEC_Threshold",        2, "", "", "%MONITOR%",       "Tivoli,GEM/APM,1.0"}
                {"Set_TEC_Threshold",        3, "", "", "%THRESHOLD%",     "Tivoli,GEM/APM,1.0"}
                {"Set_TEC_Rel_Threshold",    1, "", "", "%THRESHOLD%",     "Tivoli,GEM/APM,1.0"}
                {"TEC_Clear_Closed_Events",  1, "event age in seconds", "", "", ""}
        End Table

        //
        // Monitor Tasks Group
        //
        Start Group
                Name = "Monitor Tasks"
                Class = "GEM|MonTasks|001"
                Description = "Identifies the tasks used with a monitor."
                Key = 1
                //
                Start Attribute
                        Name = "Name"
                        ID = 1
                        Description = "Monitor Name"
                        Type = String(64)
                End Attribute
                //
                Start Attribute
                        Name = "Instance ID"                                                                 //optional
                        ID = 2
                        Description = "The identifier of the instance of this monitor."
                        Type =  Integer
                End Attribute
                //
                Start Attribute //Optional
                        Name = "Query Task Name"
                        ID = 3
                        Description = "Task name that retrieves the monitor value(s)."
                        Type = String(64)
                End Attribute
                //
                Start Attribute //Optional
                        Name = "Polling Interval Task Name"
                        ID = 4
                        Description = "Task name that sets the monitor polling interval."
                        Type = String(64)
                End Attribute
                //
                //
                Start Attribute //Optional
                        Name = "Threshold Task Name"
                        ID = 5
                        Description = "Task name that sets the monitor threshold(s)."
                        Type = String(64)
                End Attribute
                //
                //
                Start Attribute //Optional
                        Name = "Level Task Name"
                        ID = 6
                        Description = "Task name that retrieves the monitor threshold level(s)."
                        Type = String(64)
                End Attribute
                //
                //
        End Group
        //
        // Table of values for Monitor Tasks group
        //
        //  Format:  {Name, Instance, QueryTaskName, PollingIntervalTaskName, ThresholdTaskName, LevelTaskName }
        Start Table
                Name = "Monitor Tasks"
                Class = "GEM|MonTasks|001"
                ID = 111
                { "TEC Server Status",            1, "TEC Server Status",          "Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "TEC DataBase Status",          2, "TEC DataBase Status",        "Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "Heartbeat",                    3, "TEC Server Status",          "Set_TEC_Pulse",       "Set_TEC_Threshold",    "Query_Threshold" }
                { "Events Received Rate",         4, "Events Received Rate",       "Set_Polling_Interval","Set_TEC_Rel_Threshold","Query_Rel_Threshold" }
                { "Events Sent Rate",             5, "Events Sent Rate",           "",                    "",                     "" }
                { "TEC Connection Change",        6, "TEC Connection Change",      "Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "TEC Device Space Used (MB)",   7, "TEC Device Space Used (MB)", "Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "TEC Device Space Used (pct)",  8, "TEC Device Space Used (pct)","Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "TEC Device Space Free (MB)",   9, "TEC Device Space Free (MB)", "Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
                { "TEC Device Space Free (pct)", 10, "TEC Device Space Free (pct)","Set_Polling_Interval","Set_TEC_Threshold",    "Query_Threshold" }
        End Table


        Start Group
                Name = "Monitor Icon"
                Class = "AMS|MonitorIcon|001"
                Description = "This group identifies files with icons that"
                              "can be used to display a monitor."
                Key = 1,2
                Start Attribute
                        Name = "Monitor Name"
                        ID = 1
                        Description = "Name of a monitor that this icon is"
                                      "associated with."
                        Type = String(64)
                End Attribute
                Start Attribute
                        Name = "Index"
                        ID = 2
                        Description = "Index"
                        Type = Integer
                End Attribute
                Start Attribute
                        Name = "File Name"
                        ID = 3
                        Description = "File name or path to the icon file"
                        Type = String(256)
                End Attribute
                Start Attribute
                        Name = "File Location"
                        ID = 4
                        Description = "Location Index"
                        Type = Integer
                End Attribute
        End Group
        Start Table
                Name = "Monitor Icon"
                Class = "AMS|MonitorIcon|001"
                ID = 483
                {"TEC Server Status",            1,  "tec_server_status.gif", 0}
                {"TEC DataBase Status",          2,  "tec_database_status.gif", 0}
                {"Heartbeat",                    3,  "tec_heartbeat.gif", 0}
                {"Events Received Rate",         4,  "events_received_perhour.gif", 0}
                {"Events Sent Rate",             5,  "events_received_perhour.gif", 0}
                {"TEC Connection Change",        6,  "tec_connection_change.gif", 0}
                {"TEC Device Space Used (MB)",   7,  "tec_device_space_usedmb.gif", 0}
                {"TEC Device Space Used (pct)",  8,  "tec_device_space_usedpct.gif", 0}
                {"TEC Device Space Free (MB)",   9,  "tec_device_space_freemb.gif", 0}
                {"TEC Device Space Free (pct)", 10,  "tec_device_space_freepct.gif", 0}
        End Table


End Component
