# +-------------------------------------------------------------------+
# | Licensed Materials - Property of IBM                              |
# | 5697-B83                                                          |
# | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
# | All rights reserved.                                              |
# | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
# |                                                                   |
# | US Government Users Restricted Rights - Use, duplication or       |
# | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
# +-------------------------------------------------------------------+
###############################################################################
#                                                                             #
# Name       : techelp.sh                                                     #
#                                                                             #
# Author     : Tabrez Syed    08/27/96                                        #
#              Paul J. Liskay 02/25/97                                        #
#            : K Norsworthy   04/15/97                                        #
#                                                                             #
# Description: creates the message catalogs and installs the                  #
#              TEC Monitoring Collection "TEC.col" on both UNIX and NT        #
#              of tasks to that library                                       #
#                                                                             #
# Prequisites: Must have the following files installed:                       #
#                                                                             #
#                 $BINDIR/TME/TEC/interapp/formats.csl                        #
#                 $BINDIR/TME/TEC/interapp/operators.csl                      #
#                 $BINDIR/TME/TEC/interapp/Sentry2_0.dsl                      #
#                 $BINDIR/TME/TEC/interapp/TEC.csl                            #
#                 $BINDIR/TME/TEC/interapp/techelp.msg                        #
#                                                                             #
#               Must have the following software installed:                   #
#                                                                             #
#                 xlC compiler on AIX                                         #
#                 Tivoli/ADE, Version 3.0 or higher for "gencmsg"             #
#                                                                             #
###############################################################################
set -x
echo "Mesg Catalog script started"
echo "deleting pre-existing dsl files"
rm techelp.dsl
rm techelp.c
rm techelp.h
rm techelp.cat

echo "Creating Message Catalogs........."
gencat techelp.cat techelp.msg
echo "Catalog file has been created"

if [ -n "$windir" ]
   then cp techelp.cat /Tivoli/msg_cat/C/techelp.cat
   else cp techelp.cat  /etc/Tivoli/msg_cat/C/techelp.cat
fi
echo "The catalog file has been installed"

if [ -n "$windir" ]
   then $BINDIR/tools/perl -S gencmsg techelp.msg
   else $BINDIR/contrib/bin/perl -S gencmsg techelp.msg
fi

echo "Starting the MCSL script "
cp TEC.csl TEC.c
if [ -n "$windir" ]
   then cpp -P -+ TEC.c > TEC.i
   else xlC -P -+ TEC.c
fi

mcsl  -P"cat" -x TEC.col TEC.i
echo "Compiled the csl file "
mcsl  -R -i TEC.col
echo "Finished installing the collection "

