#!/etc/Tivoli/bin/perl
#-------------------------------------------------------------------------------
#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
# Program:      tecthreshold.pl
#
# Description:  Compares a number to the table referenced by
#               file name.  Returns a string containing the severity
#               level, if any, that has been reached
#
# Author:       Darren Dunne 05/13/97
#
# Parameters:   <count> <threshold rate file name>
#
# Returns:      0 - normal completion
#               1 - abnormal termination
#
# Assumptions:
#
# Limitations:
#
#-------------------------------------------------------------------------------

# parse the command line parms
$COUNT=$ARGV[0];
$RATEFILE=$ARGV[1];
$OPTIONS=$ARGV[2];
$SEVLEVEL="";

if (($COUNT eq "") || ($RATEFILE eq "")) {
  print "Usage:  tecthreshold.pl count ratefile\n";
  exit 1;
}

open(RATEFILE);
#while ((<RATEFILE>) && ($SEVLEVEL eq "")) {
LINE: while (<RATEFILE>) {
  #format: 'severity' 'relative operator'  'value'
  # FATAL     0 100
  # CRITICAL  0  30
  # SEVERE    0  10
  # WARNING   0   5
  # HARMLESS -1  -1
  # NORMAL   -1  -1
  if (/(\w+)\s+([-0-9]+)\s+([-0-9]+)/) {
    #print "sev=$1 op=$2 val=$3\n";
    $SEVSTRING=$1;
    $OPERATOR=$2;
    $VALUE=$3;
    if    (($OPERATOR ==  0) && ($COUNT >  $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  1) && ($COUNT >= $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  2) && ($COUNT <  $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  3) && ($COUNT <= $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  4) && ($COUNT == $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  5) && ($COUNT != $VALUE)) { $SEVLEVEL=$SEVSTRING; last LINE; }
    elsif (($OPERATOR ==  6)) { last LINE; }
    elsif (($OPERATOR ==  7)) { last LINE; }
    elsif (($OPERATOR ==  8)) { last LINE; }
    elsif (($OPERATOR ==  9)) { last LINE; }
    elsif (($OPERATOR == 10)) { last LINE; }
    elsif (($OPERATOR == 11)) { last LINE; }
#   elsif (($OPERATOR == -1)) { last LINE; }
  }
}
close RATEFILE;

print("$SEVLEVEL\n");
